// ***********
// ** Media **
// ***********

#declare Smoke01 = cylinder {
  <0, -1, 0>,<0,80,0> , 2
  pigment { rgbf 1 }
  hollow
  interior { 
    media {		      
      emission 0.2
      density {
        cylindrical
        triangle_wave
    	color_map {
          [0.0 color rgb 0.0]
          [0.1 color rgb 0.5]
          [0.9 color rgb 0.65]
          [1.0 color rgb 1.0]
   	}					
	warp {turbulence 2.0}					
      }								
    }
  }   
  scale 0.65          	  
}

#declare Smoke02 = cylinder {
  <0, -1, 0>,<0,80,0> , 3
  pigment { rgbf 1 }
  hollow
  interior { 
    media {		      
      emission rgb <0.15,0.15,0.10>
      density {
        cylindrical
        ramp_wave
    	color_map {
          [0.0 color rgb 0.0]
          [0.1 color rgb 0.2]
          [1.0 color rgb 0.5]
   	}					
	warp {turbulence 1.0}					
      }								
    }
  }   
}

#declare MeteorDust01 = sphere { 
  <0,0,0>, 3 
  pigment { rgbf 1.0 }
  hollow
  interior {
    media {		      
      emission 0.15
      density {
        spherical
        triangle_wave
    	color_map {
          [0.0 color rgbf 0.0]
          [0.1 color rgbf 0.5]
          [1.0 color rgbf 0.8]
   	}					
        turbulence 0.7
        omega 0.9
        lambda 2.0
        poly_wave
      }								
    }
  }
  scale 1.5
}  

#declare MeteorFire01 = sphere { 0, 1.5
  pigment { rgbf 1 }
  hollow
  interior { 
    media {		      
      emission rgb <0.889, 0.556, 0.444>*0.5
      density {
        spherical
        color_map {
          [ 0.0     rgbft <0.0, 0.0, 0.0, 0.0, 0.0> ]
          [ 0.743772  rgbft <0.0104, 0.0104, 0.0104, 0.0, 0.0> ]
          [ 0.807829  rgbft <0.427067, 0.427067, 0.427067, 0.0, 0.0> ]
          [ 0.879004  rgbft <0.656233, 0.656233, 0.656233, 0.0, 0.0> ]
          [ 1.0     rgbft <1.0, 1.0, 1.0, 0.0, 0.0> ] 
        }
        turbulence 0.2
        omega 0.5
        lambda 3.0
        sine_wave
      }
    }
  }   
  scale 1.1
}

#declare MeteorFire02 = sphere { 0, 1
  pigment { rgbf 1 }
  hollow
  interior { 
    media {		      
      emission rgb <0.889, 0.656, 0.444>*0.8
      density {
        spherical
        color_map {
          [ 0.0     rgbft <0.0, 0.0, 0.0, 0.0, 0.0> ]
          [ 0.743772  rgbft <0.0104, 0.0104, 0.0104, 0.0, 0.0> ]
          [ 0.807829  rgbft <0.427067, 0.427067, 0.427067, 0.0, 0.0> ]
          [ 0.879004  rgbft <0.656233, 0.656233, 0.656233, 0.0, 0.0> ]
          [ 1.0     rgbft <1.0, 1.0, 1.0, 0.0, 0.0> ] 
        }
        turbulence 0.3
        omega 1.0
        lambda 3.0
        triangle_wave
      }
    }
  }   
  scale 1.5
}

// **** End of file ****